### Method

# FwupdPlugin Device set_quirk_kv

#### Declaration [src]

    gboolean
    fu_device_set_quirk_kv (
      FuDevice* self,
      const gchar* key,
      const gchar* value,
      FuContextQuirkSource source,
      GError** error
    )

#### Description [src]

Sets a specific quirk on the device.

Available since: | 2.0.2

#### Parameters

`key` | `const gchar*`
| A string key.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`value` | `const gchar*`
| A string value.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`source` | `FuContextQuirkSource`
| A `FuContextQuirkSource`, e.g. `FU_CONTEXT_QUIRK_SOURCE_DB`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` on success.